@book{kleppmann2017designing,
  title={Designing Data-intensive Applications: The Big Ideas Behind Reliable, Scalable, and Maintainable Systems},
  author={Kleppmann, M.},
  isbn={9781449373320},
  lccn={2017471021},
  url={https://books.google.it/books?id=BM7woQEACAAJ},
  urldate = {2022-07-14},
  year={2017},
  publisher={O'Reilly Media}
}

@article{10.5858/arpa.2012-0362-RA,
    author = {Sepulveda, Jorge L. and Young, Donald S.},
    title = "{The Ideal Laboratory Information System}",
    journal = {Archives of Pathology & Laboratory Medicine},
    volume = {137},
    number = {8},
    pages = {1129-1140},
    year = {2013},
    month = {08},
    abstract = "{Context.—Laboratory information systems (LIS) are critical components of the operation of clinical laboratories. However, the functionalities of LIS have lagged significantly behind the capacities of current hardware and software technologies, while the complexity of the information produced by clinical laboratories has been increasing over time and will soon undergo rapid expansion with the use of new, high-throughput and high-dimensionality laboratory tests. In the broadest sense, LIS are essential to manage the flow of information between health care providers, patients, and laboratories and should be designed to optimize not only laboratory operations but also personalized clinical care.Objectives.—To list suggestions for designing LIS with the goal of optimizing the operation of clinical laboratories while improving clinical care by intelligent management of laboratory information.Data Sources.—Literature review, interviews with laboratory users, and personal experience and opinion.Conclusions.—Laboratory information systems can improve laboratory operations and improve patient care. Specific suggestions for improving the function of LIS are listed under the following sections: (1) Information Security, (2) Test Ordering, (3) Specimen Collection, Accessioning, and Processing, (4) Analytic Phase, (5) Result Entry and Validation, (6) Result Reporting, (7) Notification Management, (8) Data Mining and Cross-sectional Reports, (9) Method Validation, (10) Quality Management, (11) Administrative and Financial Issues, and (12) Other Operational Issues.}",
    issn = {0003-9985},
    doi = {10.5858/arpa.2012-0362-RA},
    url = {https://doi.org/10.5858/arpa.2012-0362-RA},
    urldate = {2022-07-14},
    eprint = {https://meridian.allenpress.com/aplm/article-pdf/137/8/1129/1611195/arpa\_2012-0362-ra.pdf},
}

// Chiave preanalitica, postanalitica, total laboratory automation
@article{HOFFMANN1998203,
title = {Concepts for the third generation of laboratory systems1Presentation at the VII Congress on Automation and New Technology (ANT).1},
journal = {Clinica Chimica Acta},
volume = {278},
number = {2},
pages = {203-216},
year = {1998},
issn = {0009-8981},
doi = {10.1016/S0009-8981(98)00147-8},
url = {https://www.sciencedirect.com/science/article/pii/S0009898198001478},
urldate = {2022-07-14},
accessed = "{10/07/2022}",
author = {Georg E Hoffmann},
keywords = {Laboratory automation, Integration, Consolidation, Clinical laboratory},
abstract = {This paper briefly describes the history of laboratory systems and discusses some of the recent concepts. The third generation of laboratory systems, which appeared around 1990, encompasses most of the pre-analytical, analytical and post-analytical procedural steps of the laboratory workflow, thus eliminating much of the so-called “3 D tasks” (dull, dirty, dangerous). These automation systems enable humans to focus on work of higher value such as result validation or development of tests in emerging areas. The new development started in Japan in 1981 and reached the Western hemisphere around 1995. Currently there are between 800 and 900 installations world-wide that meet the above criteria. The majority of them automate hematology, whereas systems that automate more complex areas such as clinical chemistry, immunochemistry, coagulation and urinalysis, represent only about one third. More than 60% of the world-wide system base has been installed in Japan. Future growth in the West and high market saturation in Japan are likely to decrease this percentage during the next few years. The two key concepts of third generation systems are “consolidation” and “integration”. The following definitions are suggested:•Consolidation: Combining different analytical technologies or strategies on one instrument or on one group of connected instruments.•Integration: Linking analytical instruments or groups of instruments with pre- and post-analytical devices. Examples for the technical realization of both concepts and practical aspects of how to apply them in an individual laboratory are given. Components, which are specifically new in the context of laboratory automation, are conveyor belts, stationary and floor-running robots, and software for process control. The most attractive options to be considered when automating a laboratory are primary tube sorting and the use of secondary samples to increase speed and to avoid sample carryover. Other applications include automatic centrifugation (esp. for hospital laboratories), decapping (esp. for clinical chemistry), automatic loading and unloading of analyzers (esp. for large laboratories), automatic rerun and reflex testing as well as computer-based sample retrieval, result validation, and interpretation. Specific recommendations for automation planning include the need to see and discuss working installations either during site visits or via video documentations, and to conduct computer simulation experiments on the basis of a “virtual laboratory” model.}
}

@BOOK{IoMUSCMPMCzd,
  title     = "Medicare Laboratory Payment Policy: Now and in the Future",
  author    = "{Institute of Medicine (US) Committee on Medicare Payment
               Methodology for Clinical Laboratory Services}",
  abstract  = "Clinical laboratory tests play an integral role in helping
               physicians diagnose and treat patients. New developments in
               laboratory technology offer the prospect of improvements in
               diagnosis and care, but will place an increased burden on the
               payment system. Medicare, the federal program providing coverage
               of health-care services for the elderly and disabled, is the
               largest payer of clinical laboratory services. Originally
               designed in the early 1980s, Medicare's payment policy
               methodology for outpatient laboratory services has not evolved
               to take into account technology, market, and regulatory changes,
               and is now outdated. This report examines the current Medicare
               payment methodology for outpatient clinical laboratory services
               in the context of environmental and technological trends,
               evaluates payment policy alternatives, and makes recommendations
               to improve the system.",
  publisher = "National Academies Press (US)",
  year      =  2000,
  url       = {https://nap.nationalacademies.org/download/9997},
  urldate   = {2022-07-14},
  pages     = {59-60},
  address   = "Washington (DC)",
  language  = "en"
}

@article{FELDER1998257,
title = {Modular workcells: modern methods for laboratory automation},
journal = {Clinica Chimica Acta},
volume = {278},
number = {2},
pages = {257-267},
year = {1998},
issn = {0009-8981},
doi = {10.1016/S0009-8981(98)00151-X},
url = {https://www.sciencedirect.com/science/article/pii/S000989819800151X},
urldate = {2022-07-14},
author = {Robin A Felder},
keywords = {Automation, Robotics, Modular automation, Clinical laboratory},
abstract = {Laboratory automation is beginning to become an indispensable survival tool for laboratories facing difficult market competition. However, estimates suggest that only 8% of laboratories will be able to afford total laboratory automation systems. Therefore, automation vendors have developed alternative hardware configurations called `modular automation', to fit the smaller laboratory. Modular automation consists of consolidated analyzers, integrated analyzers, modular workcells, and pre- and post-analytical automation. These terms will be defined in this paper. Using a modular automation model, the automated core laboratory will become a site where laboratory data is evaluated by trained professionals to provide diagnostic information to practising physicians. Modem software information management and process control tools will complement modular hardware. Proper standardization that will allow vendor-independent modular configurations will assure success of this revolutionary new technology.}
}

@article{SASAKI1998217,
title = {Total laboratory automation in Japan: Past, present and the future},
journal = {Clinica Chimica Acta},
volume = {278},
number = {2},
pages = {217-227},
year = {1998},
issn = {0009-8981},
doi = {10.1016/S0009-8981(98)00148-X},
url = {https://www.sciencedirect.com/science/article/pii/S000989819800148X},
urldate = {2022-07-14},
author = {Masahide Sasaki and Takeshi Kageoka and Katsumi Ogura and Hiromi Kataoka and Tadashi Ueta and Shigeyoshi Sugihara},
keywords = {Laboratory information system, Laboratory automation system, Laboratory automation, Laboratory system, Conveyor belt-line system, Laboratory robotic system},
abstract = {The history of systematized automation in clinical laboratories in Japan started in 1981. At that time, about 12 laboratory technicians worked in a typical private University hospital laboratory (average size 1000 beds), whereas in national university hospitals (typical size 600 beds), the number of technicians was as low as 18–25. In 1981, the Kochi Medical School was founded as a new national school, and laboratory staffing was limited by the Ministry of Education to only 19 technicians for the first 3 years. Therefore, we started to develop a fully automated laboratory system by ourselves rather than accepting an intolerable shortage of technicians. The system was based on conveyor and robotic technology, and we called this approach systematization. Ten years later, systematized automation was introduced into the Japanese market. As a result, 72% of the national university hospitals in Japan installed commercial systems for systematization. There is a trend now in hospitals with sufficient numbers of technicians, to introduce fully automated systems in their laboratories as well, and even small hospitals with less than 100 beds are planning to introduce such systems. However, current technology is too expensive and not sufficiently standardized to meet the needs of these market segments in Japan. We recommend that companies agree on common shapes and sizes of racks and include more flexible robotic technology in their sample handling systems, to allow for plug and play systems and to make systematization affordable for every laboratory in the world.}
}

@article{doi:10.1177/221106829800300403,
title ={EuroLabAutomation '98},
journal = {JALA: Journal of the Association for Laboratory Automation},
volume = {3},
number = {4},
pages = {17-34},
year = {1998},
doi = {10.1177/221106829800300403},
url = {https://doi.org/10.1177/221106829800300403},
urldate = {2022-07-14},
eprint = {https://doi.org/10.1177/221106829800300403}
}

@article{10.1093/clinchem/46.5.757,
  author = {Middleton, Stephen R},
  title = {Developing an Automation Concept That Is Right for Your Laboratory},
  journal = {Clinical Chemistry},
  volume = {46},
  number = {5},
  pages = {757-763},
  year = {2000},
  month = {05},
  abstract = {Background: Trends in laboratory automation and critical project principles and design concepts are presented.Approach: MDS AutoLab technology development and automation projects were reviewed. Successful methods and approaches were extracted.Issues: Continued pressure on the laboratory to reduce costs and increase productivity has catalyzed dramatic development in laboratory automation. Today, laboratories can choose from a wide range of options. The most effective choices are not always the most obvious and will not be the same for all laboratories. Laboratory automation projects are highly complex and must be planned and managed across clinical, technical, operational, financial, and human dimensions.Conclusions: Success requires excellent communications, an understanding of the risks and barriers, and a dedicated team supported by strong champions throughout the organization. The automation project team will need to use a variety of skills and techniques to evaluate and reengineer processes to identify the highest value targets for automation.},
  issn = {0009-9147},
  doi = {10.1093/clinchem/46.5.757},
  url = {https://doi.org/10.1093/clinchem/46.5.757},
  urldate = {2022-07-17},
  eprint = {https://academic.oup.com/clinchem/article-pdf/46/5/757/32723824/clinchem0757.pdf},
  keywords = {Reengineering, Design, refactoring}
}


@article{doi:10.1016/j.jala.2008.12.001,
author = {George S. Streitberg and Phillip T. Bwititi and Lyndall Angel and Kenneth A. Sikaris},
title ={Automation and Expert Systems in a Core Clinical Chemistry               Laboratory},
journal = {JALA: Journal of the Association for Laboratory Automation},
volume = {14},
number = {2},
pages = {94-105},
year = {2009},
doi = {10.1016/j.jala.2008.12.001},
URL = {https://doi.org/10.1016/j.jala.2008.12.001},
urldate = {2022-07-17},
eprint = {https://doi.org/10.1016/j.jala.2008.12.001},
abstract = { Clinical pathology has a major influence on clinical decisions and the past 60 years have seen an evolution brought about by advances in information technology and automation. The impact of the ever-changing technology in regard to responsibilities and training therefore needs continual appraisal. In this article, the authors have drawn on their experience on automation in clinical chemistry and the experience at Monash Medical Centre in Melbourne, Australia where one of the authors is based. Automation in other industries has also been reviewed, since the reasons to automate and the impact of automation have similarities and these include reduction in errors, increase in productivity, and improvement in safety. Advances in technology in clinical chemistry that have included total laboratory automation call for changes in job responsibilities to include skills in information technology, data management, instrumentation, patient preparation for diagnostic analysis, interpretation of pathology results, dissemination of knowledge and information to patients and other health staff, as well as skills in research.Research in clinical chemistry should not only emphasize evaluation of performance of automation but also should include pre- and postanalytical phases and training also needs to reflect this. },
keywords = { Preanalytical Phase, Analytical Phase, Postanalysis, preanalitica, analitica, postanalitica, automation, clinical chemistry, clinical pathology, expert systems}
}


@ARTICLE{Holman2002-gt,
  title    = "Evaluation of an automated preanalytical robotic workstation at two academic health centers",
  author   = "Holman, J William and Mifflin, Theodore E and Felder, Robin A and
              Demers, Laurence M",
  abstract = "BACKGROUND: Purchase of automated systems in today's clinical
              laboratory needs justification based on demonstrable improvements
              in efficiency and a sound payback model. Few studies provide
              information on laboratory automation that focuses on the
              preanalytical portion of specimen processing. METHODS: We
              recently evaluated an automated preanalytical processing unit
              (GENESIS FE500) at two academic health centers. This
              preanalytical unit processes blood specimens through automated
              specimen sorting, centrifugation, decapping, labeling,
              aliquoting, and placement of the processed specimen in the
              analytical rack. We quantified the output of the FE500 by
              processing >3000 barcode-labeled specimens according to a
              protocol designed to test all of the features of this automated
              specimen-processing unit. RESULTS: Depending on the batch size,
              aliquot number requested, and percentage of tubes that required
              centrifugation, the mean system output performance varied between
              93 and 502 total tubes/h. Throughput increased when the batch
              size expanded from 40 or 100 samples (mean = 211 total tubes
              processed/h) to batch sizes of 200 and 300 tubes (mean = 474
              total tube processed/h). The GENESIS FE500 processed specimen
              tubes differing in size from 13 x 65 mm (width x height) to 16 x
              100. At one site, the FE500 was operated by one person, compared
              with the three individuals required to perform the same tasks
              manually. Finally, the specimen-processing error rate determined
              at one of the institutions was significantly reduced.
              CONCLUSIONS: We conclude that the GENESIS FE500 effectively
              reduces the labor associated with specimen processing; decreases
              the number of laboratory errors that occur with specimen sorting,
              labeling, and aliquoting; and improves the integrity of specimen
              handling throughout the steps of specimen processing.",
  journal  = "Clin Chem",
  volume   =  48,
  number   =  3,
  pages    = "540--548",
  month    =  mar,
  year     =  2002,
  address  = "England",
  language = "en",
  url      = {https://www.academia.edu/19608437/Evaluation_of_an_automated_preanalytical_robotic_workstation_at_two_academic_health_centers},
  urldate = {2022-07-17},
}

@ARTICLE{Manor1999-um,
  title    = "Turnaround times in the laboratory: a review of the literature",
  author   = "Manor, Pamela G",
  abstract = "OBJECTIVE: To conduct a review of the literature for current
              information pertaining to turnaround times in the clinical
              laboratory. To evaluate the methods previously used for improving
              turnaround times and provide a reference for laboratories.
              DESIGN: The literature was reviewed for information related to
              turnaround times in the laboratory. Information was limited to
              literature published from 1989 to present in order to cover the
              more technological innovations. RESULTS: Several methods have
              been used in recent years for the improvement of turnaround times
              in the clinical laboratory. Among these are pneumatic tubing
              systems, satellite laboratories, point-of-care testing, and
              computer technology. CONCLUSIONS: There is still the need for
              faster turnaround times. Technological advances are enabling
              laboratories to better meet these needs leading to improved user
              satisfaction.",
  journal  = "Clinical Laboratory Science",
  volume   =  12,
  number   =  2,
  pages    = "85--89",
  month    =  mar,
  year     =  1999,
  address  = "United States",
  language = "en",
  url     = {https://www.researchgate.net/publication/5460692_Laboratory_Turnaround_Time},
  urldate = {2022-07-17},
}

@article {Swaminathan22,
	author = {Swaminathan, R and Wheeler, M},
	title = {Robotics into the millennium},
	volume = {53},
	number = {1},
	pages = {22--26},
	year = {2000},
	doi = {10.1136/jcp.53.1.22},
	publisher = {BMJ Publishing Group},
	issn = {0021-9746},
	URL = {https://jcp.bmj.com/content/53/1/22},
	eprint = {https://jcp.bmj.com/content/53/1/22.full.pdf},
  urldate = {2022-07-17},
	journal = {Journal of Clinical Pathology}
}

@article{10.1093/clinchem/46.5.751,
    author = {Seaberg, Richard S and Stallone, Robert O and Statland, Bernard E},
    title = "{The Role of Total Laboratory Automation in a Consolidated Laboratory Network}",
    journal = {Clinical Chemistry},
    volume = {46},
    number = {5},
    pages = {751-756},
    year = {2000},
    month = {05},
    abstract = "{Background: In an effort to reduce overall laboratory costs and improve overall laboratory efficiencies at all of its network hospitals, the North Shore–Long Island Health System recently established a Consolidated Laboratory Network with a Core Laboratory at its center.Methods: We established and implemented a centralized Core Laboratory designed around the Roche/Hitachi CLAS Total Laboratory Automation system to perform the general and esoteric laboratory testing throughout the system in a timely and cost-effective fashion. All remaining STAT testing will be performed within the Rapid Response Laboratories (RRLs) at each of the system’s hospitals.Results: Results for this laboratory consolidation and implementation effort demonstrated a decrease in labor costs and improved turnaround time (TAT) at the core laboratory. Anticipated system savings are ∼\\$2.7 million. TATs averaged 1.3 h within the Core Laboratory and less than 30 min in the RRLs.Conclusions: When properly implemented, automation systems can reduce overall laboratory expenses, enhance patient services, and address the overall concerns facing the laboratory today: job satisfaction, decreased length of stay, and safety. The financial savings realized are primarily a result of labor reductions.}",
    issn = {0009-9147},
    doi = {10.1093/clinchem/46.5.751},
    url = {https://doi.org/10.1093/clinchem/46.5.751},
    urldate = {2022-07-17},
    eprint = {https://academic.oup.com/clinchem/article-pdf/46/5/751/32724885/clinchem0751.pdf},
}

@article{10.1093/clinchem/48.3.540,
    author = {Holman, J William and Mifflin, Theodore E and Felder, Robin A and Demers, Laurence M},
    title = "{Evaluation of an Automated Preanalytical Robotic Workstation at Two Academic Health Centers}",
    journal = {Clinical Chemistry},
    volume = {48},
    number = {3},
    pages = {540-548},
    year = {2002},
    month = {03},
    abstract = "{Background: Purchase of automated systems in today’s clinical laboratory needs justification based on demonstrable improvements in efficiency and a sound payback model. Few studies provide information on laboratory automation that focuses on the preanalytical portion of specimen processing.Methods: We recently evaluated an automated preanalytical processing unit (GENESIS FE500) at two academic health centers. This preanalytical unit processes blood specimens through automated specimen sorting, centrifugation, decapping, labeling, aliquoting, and placement of the processed specimen in the analytical rack. We quantified the output of the FE500 by processing \\&gt;3000 barcode-labeled specimens according to a protocol designed to test all of the features of this automated specimen-processing unit.Results: Depending on the batch size, aliquot number requested, and percentage of tubes that required centrifugation, the mean system output performance varied between 93 and 502 total tubes/h. Throughput increased when the batch size expanded from 40 or 100 samples (mean = 211 total tubes processed/h) to batch sizes of 200 and 300 tubes (mean = 474 total tube processed/h). The GENESIS FE500 processed specimen tubes differing in size from 13 × 65 mm (width × height) to 16 × 100. At one site, the FE500 was operated by one person, compared with the three individuals required to perform the same tasks manually. Finally, the specimen-processing error rate determined at one of the institutions was significantly reduced.Conclusions: We conclude that the GENESIS FE500 effectively reduces the labor associated with specimen processing; decreases the number of laboratory errors that occur with specimen sorting, labeling, and aliquoting; and improves the integrity of specimen handling throughout the steps of specimen processing.}",
    issn = {0009-9147},
    doi = {10.1093/clinchem/48.3.540},
    url = {https://doi.org/10.1093/clinchem/48.3.540},
    urldate = {2022-07-17},
    eprint = {https://academic.oup.com/clinchem/article-pdf/48/3/540/32734741/clinchem0540.pdf},
}

@article{10.1145/374308.374365,
  author = {Astley, Mark and Sturman, Daniel and Agha, Gul},
  year = {2000},
  month = {03},
  pages = {},
  title = {Customizable Middleware for Modular Distributed Software},
  volume = {44},
  journal = {Communications of the ACM},
  doi = {10.1145/374308.374365},
  url = {http://osl.cs.illinois.edu/media/papers/astley-2001-cacm-customizable_middleware_for_modular_distributed_software.pdf},
  urldate = {2022-07-17},

}

@ARTICLE{Hawkins2007-jm,
  title    = "Laboratory turnaround time",
  author   = "Hawkins, Robert C",
  abstract = "Turnaround time (TAT) is one of the most noticeable signs of
              laboratory service and is often used as a key performance
              indicator of laboratory performance. This review summarises the
              literature regarding laboratory TAT, focusing on the different
              definitions, measures, expectations, published data, associations
              with clinical outcomes and approaches to improve TAT. It aims to
              provide a consolidated source of benchmarking data useful to the
              laboratory in setting TAT goals and to encourage introduction of
              TAT monitoring for continuous quality improvement. A 90\%
              completion time (sample registration to result reporting) of <60
              minutes for common laboratory tests is suggested as an initial
              goal for acceptable TAT.",
  journal  = "Clin Biochem Rev",
  volume   =  28,
  number   =  4,
  pages    = "179--194",
  month    =  nov,
  year     =  2007,
  language = "en"
}

@ARTICLE{Armbruster2014-ds,
  title    = "Clinical Chemistry Laboratory Automation in the 21st Century -
              Amat Victoria curam (Victory loves careful preparation)",
  author   = "Armbruster, David A and Overcash, David R and Reyes, Jaime",
  abstract = "The era of automation arrived with the introduction of the
              AutoAnalyzer using continuous flow analysis and the Robot Chemist
              that automated the traditional manual analytical steps.
              Successive generations of stand-alone analysers increased
              analytical speed, offered the ability to test high volumes of
              patient specimens, and provided large assay menus. A dichotomy
              developed, with a group of analysers devoted to performing
              routine clinical chemistry tests and another group dedicated to
              performing immunoassays using a variety of methodologies.
              Development of integrated systems greatly improved the analytical
              phase of clinical laboratory testing and further automation was
              developed for pre-analytical procedures, such as sample
              identification, sorting, and centrifugation, and post-analytical
              procedures, such as specimen storage and archiving. All phases of
              testing were ultimately combined in total laboratory automation
              (TLA) through which all modules involved are physically linked by
              some kind of track system, moving samples through the process
              from beginning-to-end. A newer and very powerful, analytical
              methodology is liquid chromatography-mass spectrometry/mass
              spectrometry (LC-MS/MS). LC-MS/MS has been automated but a future
              automation challenge will be to incorporate LC-MS/MS into TLA
              configurations. Another important facet of automation is
              informatics, including middleware, which interfaces the analyser
              software to a laboratory information systems (LIS) and/or
              hospital information systems (HIS). This software includes
              control of the overall operation of a TLA configuration and
              combines analytical results with patient demographic information
              to provide additional clinically useful information. This review
              describes automation relevant to clinical chemistry, but it must
              be recognised that automation applies to other specialties in the
              laboratory, e.g. haematology, urinalysis, microbiology. It is a
              given that automation will continue to evolve in the clinical
              laboratory, limited only by the imagination and ingenuity of
              laboratory scientists.",
  journal  = "Clin Biochem Rev",
  volume   =  35,
  number   =  3,
  pages    = "143--153",
  month    =  aug,
  year     =  2014,
  language = "en",
  url = {https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4204236/},
  urldate = {2022-10-14},
  
}

@online{ ASTM_E1381_low,
  title   = {Standard Specification for Low-Level Protocol to Transfer Messages
              Between Clinical Laboratory Instruments and Computer System},
  year    = {2003},
  author = {NCCLS},
  url = {https://samson-rus.com/wp-content/files/LIS1-A.pdf},
  urldate = {2022-10-14},
  eprint = {https://samson-rus.com/wp-content/files/LIS1-A.pdf},

}

@online{ ASTM_E1381_high,
  title   = {Specification for Transferring Information Between Clinical Laboratory Instruments and Information Systems},
  year    = {2004},
  author = {NCCLS},
  url = {https://samson-rus.com/wp-content/files/LIS2-A2.pdf},
  urldate = {2022-10-14},
  eprint = {https://samson-rus.com/wp-content/files/LIS2-A2.pdf},
  isbn = {1-56238-550-X},
}

@online{ hl7_wiki,
  title   = {Health Level 7},
  author = {Wikipedia},
  url = {https://en.wikipedia.org/wiki/Health_Level_7},
  urldate = {2022-10-15},
}

@online{ hl7_org,
  title   = {Health Level 7},
  author = {Health Level Seven International},
  url = {http://www.hl7.org/},
  urldate = {2022-10-15},
}

@article{CROXATTO2016217,
title = {Laboratory automation in clinical bacteriology: what system to choose?},
journal = {Clinical Microbiology and Infection},
volume = {22},
number = {3},
pages = {217-235},
year = {2016},
issn = {1198-743X},
doi = {https://doi.org/10.1016/j.cmi.2015.09.030},
url = {https://www.sciencedirect.com/science/article/pii/S1198743X16000069},
author = {A. Croxatto and G. Prod'hom and F. Faverjon and Y. Rochais and G. Greub},
keywords = {Automation, bacteriology, diagnostic, digital imaging, inoculation, smart incubators, specimen processor, telebacteriology},
abstract = {Automation was introduced many years ago in several diagnostic disciplines such as chemistry, haematology and molecular biology. The first laboratory automation system for clinical bacteriology was released in 2006, and it rapidly proved its value by increasing productivity, allowing a continuous increase in sample volumes despite limited budgets and personnel shortages. Today, two major manufacturers, BD Kiestra and Copan, are commercializing partial or complete laboratory automation systems for bacteriology. The laboratory automation systems are rapidly evolving to provide improved hardware and software solutions to optimize laboratory efficiency. However, the complex parameters of the laboratory and automation systems must be considered to determine the best system for each given laboratory. We address several topics on laboratory automation that may help clinical bacteriologists to understand the particularities and operative modalities of the different systems. We present (a) a comparison of the engineering and technical features of the various elements composing the two different automated systems currently available, (b) the system workflows of partial and complete laboratory automation, which define the basis for laboratory reorganization required to optimize system efficiency, (c) the concept of digital imaging and telebacteriology, (d) the connectivity of laboratory automation to the laboratory information system, (e) the general advantages and disadvantages as well as the expected impacts provided by laboratory automation and (f) the laboratory data required to conduct a workflow assessment to determine the best configuration of an automated system for the laboratory activities and specificities.}
}

@article{10.1309/LM4O4L0HHUTWWUDD,
    author = {Wians, Frank H.},
    title = "{Clinical Laboratory Tests: Which, Why, and What Do The Results Mean?}",
    journal = {Laboratory Medicine},
    volume = {40},
    number = {2},
    pages = {105-113},
    year = {2009},
    month = {02},
    abstract = "{According to Dr. Michael Laposata, the medical specialty that nearly every practicing physician relies on every day, for which training in many medical schools is limited to no more than a scattered few lectures throughout the entire curriculum, is “laboratory medicine.” The importance of understanding the principles for selecting and ordering the most rational laboratory test(s) on a specific patient is heightened in the current age of managed care, medical necessity, and outcome-oriented medicine. The days of a “shotgun approach” to ordering laboratory tests has, of necessity, been replaced by a “rifle” (or targeted) approach based on an understanding of the test’s diagnostic performance and the major “legitimate” reasons for ordering a laboratory test. Such an understanding is critical to good laboratory practice and patient outcomes.}",
    issn = {0007-5027},
    url = {https://academic.oup.com/labmed/article-pdf/40/2/105/24961018/labmed40-0105.pdf},
    urldate = {2022-10-15},
}

@article{hawker2018automation,
  title={Automation in the clinical laboratory},
  author={Hawker, Charles D and Genzen, Jonathan R and Wittwer, Carl T},
  journal={Tietz Textbook of Clinical Chemistry and Molecular Diagnostics},
  pages={370--e1},
  year={2018},
  publisher={Elsevier Inc Philadelphia, PA},
  url = {https://www.researchgate.net/profile/Charles-Hawker/publication/314089643_Automation_in_the_Clinical_Laboratory/links/58b481c9aca2725b541c3a74/Automation-in-the-Clinical-Laboratory.pdf},
  urldate = {2022-10-15},
}

@online{ hl7_definition,
  title   = {HL7-Definition V2},
  author = {Caristix},
  url = {https://hl7-definition.caristix.com/v2/HL7v2.7},
  urldate = {2022-10-15},
}

@article{ goswami_singh_chawla_gupta_mallika_2010,
 title={Turn around time (TAT) as a benchmark of laboratory performance},
 volume={25}, 
 DOI={10.1007/s12291-010-0056-4}, 
 number={4}, 
 journal={Indian Journal of Clinical Biochemistry}, 
 author={Goswami, Binita and Singh, Bhawna and Chawla, Ranjna and Gupta, V. K. and Mallika, V.}, 
 year={2010}, 
 pages={376--379}
}

@article{10.1309/H0DY-6VTW-NB36-U3L6,
    author = {Howanitz, Joan H. and Howanitz, Peter J.},
    title = "{Laboratory Results: Timeliness as a Quality Attribute and Strategy}",
    journal = {American Journal of Clinical Pathology},
    volume = {116},
    number = {3},
    pages = {311-315},
    year = {2001},
    month = {01},
    abstract = "{Although timeliness of results reporting has not been a major focus in clinical laboratories, there is increasing pressure from clinicians to report results rapidly. Even though there are only sparse data, timeliness in reporting of laboratory results undoubtedly affects clinician and patient satisfaction as well as length of hospital stay. Improving turnaround time (TAT) is a complex task involving education, equipment acquisition, and planning. All the steps from test ordering to results reporting should be monitored and steps taken to improve the processes. Various strategies to improve TAT at each step in the testing process are discussed.}",
    issn = {0002-9173},
    doi = {10.1309/H0DY-6VTW-NB36-U3L6},
    eprint = {https://academic.oup.com/ajcp/article-pdf/116/3/311/24981383/ajcpath116-0311.pdf},
}

@online{ Guide_to_Microsoft_SQL_Server_Memory,
  title   = {A Sysadmin’s Guide to Microsoft SQL Server Memory},
  author = {Brent Ozar},
  url = {https://www.brentozar.com/archive/2011/09/sysadmins-guide-microsoft-sql-server-memory/},
  urldate = {2022-11-13},
}

@book{ Expert+SQL+Server+Transactions+and+Locking,
  title = {Expert SQL Server Transactions and Locking},
  author= {Dmitri Korotkevitch},
  year = {2018},
  isbn = {978-1-4842-3957-5},
  doi = {10.1007/978-1-4842-3957-5},
  publisher = {Apress Berkeley, CA}
}

@INPROCEEDINGS{ 7554868,  
 author={Qi, Chunxia}, 
 booktitle={2016 35th Chinese Control Conference (CCC)},   
 title={On index-based query in SQL Server database},   
 year={2016},  
 volume={},  
 number={},  
 pages={9519-9523},  
 doi={10.1109/ChiCC.2016.7554868}
}

@online{ interview-servicestack-2,
  title   = {Interview With Demis Bellot, Project Lead Of ServiceStack},
  author = {Roopesh Shenoy},
  url = {https://www.infoq.com/articles/interview-servicestack-2/},
  urldate = {2022-12-19},
}

@online{ objective-c-message-dispatch-mechanism,
  title   = {How are Obj-C messages dispatched?},
  author = {Alex Rozanski},
  url = {https://stackoverflow.com/questions/982116/objective-c-message-dispatch-mechanism/982356#982356},
  urldate = {2022-12-19},
}

@online{ servicestackdoc,
  title = {Servicestack Documentation},
  url = {https://docs.servicestack.net/},
  urldate = {2022-12-22},
}

@book{hunt2000pragmatic,
  added-at = {2013-11-29T20:55:50.000+0100},
  address = {Boston [etc.]},
  author = {Hunt, Andrew and Thomas, David},
  biburl = {https://www.bibsonomy.org/bibtex/2f089d7f6f61cad0258c08477d2f920a7/admogar},
  description = {The Pragmatic Programmer: From Journeyman to Master: Andrew Hunt, David Thomas: 9780201616224: Amazon.com: Books},
  interhash = {e614934d54a2ffbddf23a42d0dc729ff},
  intrahash = {f089d7f6f61cad0258c08477d2f920a7},
  isbn = {020161622X 9780201616224},
  keywords = {programming software},
  publisher = {Addison-Wesley},
  refid = {806497391},
  timestamp = {2013-12-02T09:48:03.000+0100},
  title = {The Pragmatic programmer : from journeyman to master},
  url = {http://www.amazon.com/The-Pragmatic-Programmer-Journeyman-Master/dp/020161622X},
  year = 2000
}

@online{ api_amazon_sample,
  title = {Amazon API Reference},
  author = {Amazon},
  url = {https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AttachVolume.html},
  urldate = {2022-12-27}
}

@online{ protocol_buffers,
  title = {Protocol Buffers},
  author = {Google},
  url = {https://developers.google.com/protocol-buffers},
  urldate = {2022-12-27}
}

@online{ ioc_mf,
  title = {Inversion of Control Containers and the Dependency Injection pattern},
  author = {Martin Fowler},
  url = {https://martinfowler.com/articles/injection.html},
  urldate = {2022-12-27}
}

@online{ redis_loved,
  title = {Redis Named the Most Loved Database in Stack Overflow's Developer Survey},
  url = {https://redis.com/press/redis-named-loved-database-stack-overflows-developer-survey/},
  urldate = {2022-12-28}
}

@online{ redis_rank,
  title = {DB-Engines Ranking of Key-value Stores},
  url = {https://db-engines.com/en/ranking/key-value+store},
  urldate = {2022-12-28}
}

@online{ redis_pub_sub,
  title = {Redis Pub/Sub},
  url = {https://redis.io/docs/manual/pubsub/},
  urldate = {2022-12-28}
}

@online{ redis_client,
  title = {C#/.NET Client for Redis},
  url = {https://docs.servicestack.net/redis/},
  urldate = {2022-12-28}
}

@online{ redis_transaction,
  title = {Transactions in Redis},
  url = {https://redis.io/docs/manual/transactions/},
  urldate = {2022-12-28}
}

@online{ docker_overview,
  title = {Docker overview},
  url = {https://docs.docker.com/get-started/overview/},
  urldate = {2023-01-07}
}

@online{ microsoft-dotnet-sdk,
  title = {.NET SDK},
  url = {https://docs.docker.com/get-started/overview/},
  urldate = {2023-01-07}
}



@online{ ref_redlock,
  title = {Distributed Locks with Redis},
  url = {https://redis.io/docs/manual/patterns/distributed-locks/},
  urldate = {2023-01-14}
}

